Generate Finverse statement CSV
curl --request GET \
--url https://api.prod.finverse.net/ledger/statement \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.prod.finverse.net/ledger/statement"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prod.finverse.net/ledger/statement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"download_url": "https://storage.googleapis.com/prod-app-ledger/01GKRZX00MYHDW3KSA18NZP342/241115%20Finverse%20Statement%20-%20FV%20Team%20-%2020241101-20241115.csv?Expires=1731727684&GoogleAccessId=b-prod-app-payment%40finverseprod1.iam.gserviceaccount.com&Signature=2%2BT1P5HMccu2MwxNOlO77aEn4Fqzu9P%2BEj5IjgOIZwwHkmr2vceB4Ia9kQjt9o3p0AytAawGrDUhuTisYgYasKhFsMJLmk4vckbHBqck2n0HDbx%2Fqs7cGgMS0rvqtxH1BYk9Dl7eH2YFcQXpUo%2FhIMgDwSKny2UxLWrR3NsoVHxDMONYWM1hoeUFfOeYyZ6RgQNTD3Pc1WllYJfSjotOuniIXDkWRkvMtpG%2FOMXf5j%2BWqpzlNIo0N5xTLsCh7r16WpJEpyhugBl6zmSWVSjaQG3v5uEwWU%2B%2Fcq1Sl6cqWrfej0acZ7lQ9KQdu5k%2FrZLo41d9WobdudFStmHtR7g3mA%3D%3D"
}{
"error": {
"details": "<string>",
"error_code": "CREDENTIALS_INVALID",
"message": "<string>",
"request_id": "<string>",
"type": "LINKING_ERROR"
}
}Ledger
Generate Finverse statement CSV
Fetch a customer statement (in csv format) for all ledger transactions associated with a Customer App. The statement is returned as a short-lived URL link to the csv file.
Authorization: customer_token
GET
/
ledger
/
statement
Generate Finverse statement CSV
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
UTC start date for filtering (applied to Payment updated_at field)
UTC end date for filtering (applied to Payment updated_at field)
The currencies to filter for
Response
Success
URL where the statement csv file can be downloaded. Note: URL is valid for 60s only.